# Ultraquick website + webserver

*Get a complete but basic website up and running **in seconds**.*

* Uses *standard* HTML/CSS/JS.
* **Lightweight**: just and index, a few pages, a menu, some styling
* Uses Node static file server.
* Access logging with morgan
* W3C.CSS for a little bit of styling.
* Mostly for development purposes.
* Only 2 dependencies: express and morgan
* This is **NOT a framework**: just a basic site template!
* Bonus: A clock!

## Getting Started

Getting started is easy.  Make sure you have node.js installed and follow the installation instructions.

### Prerequisites

1. [Node.js](https://nodejs.org/)  **must be installed**
2. [Ngrok](https://ngrok.com/) **(optional)**
3. *Any text editor will do.*

### Installing

1. Create a directory and install ultraquick.
2. mkdir <yourdirectory>
3. cd <yourdirectory>
4. npm install ultraquick
5. npm update
6. npm start
7. browse to [localhost](http://localhost:3300/)

## Deployment

This quick & dirty site / sever might not be suitable for production deployment.
I have no idea how (un-)secure a node.js site is. Might not be too bad :)
It's main use is for **quickly** get a few HTML page up - with a bit of styling.

## Author

Marc de Ruyter
[dizid](http://dizid.com/)

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details



